.section-header {
    --menu-trigger-display: none;

    --logo-height: 24px;
    --logo-font-size: 18px;

    @media (width < 980px) {
        --menu-trigger-display: flex;
    }

    @media (width < 380px) {
        --logo-height: 20px;
        --logo-font-size: 16px;
    }

    position: sticky;
    top: 0;
    height: 56px;
    background-color: #fff;
    box-shadow: 0 0 4px var(--color-btm-dark-blue);

    .section-container {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    .logo {
        --text-color: #2E3C80;

        position: relative;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: start;
        gap: 6px;
        font-size: 18px;
        line-height: 1;
        font-weight: 600;
        text-decoration: none;
        color: var(--text-color);

        &:hover {
            --text-color: var(--color-btm-orange);
        }

        &:before {
            content: '';
            display: block;
            aspect-ratio: 4.225;
            height: var(--logo-height);
            background-size: contain;
            background-repeat: no-repeat;
            background-position: center center;
            background-image: url('/assets/svg/logo/full-jiQOsmh.svg');
        }
    }

    .menu-trigger {
        --background-color: #eaeaea;
        --icon-color: #1F2448;

        display: var(--menu-trigger-display);
        flex-direction: row;
        align-items: center;
        justify-content: center;
        width: 48px;
        height: 48px;
        border-radius: 8px;
        padding: 0;
        border: 0;
        cursor: pointer;
        background-color: transparent;

        * {
            pointer-events: none;
        }

        &:hover {
            --background-color: var(--color-btm-orange);
            --icon-color: #fff;
        }

        &:before {
            content: '';
            display: block;
            position: absolute;
            z-index: 1;
            width: 38px;
            height: 38px;
            border-radius: 8px;
            transition: all .1s linear;
            background-color: var(--background-color);
        }

        &:after {
            content: '';
            display: block;
            position: absolute;
            z-index: 2;
            width: 24px;
            height: 24px;
            background-color: var(--icon-color);
            transition: all .1s linear;
            mask: url('/assets/svg/drawer-menu-5-hNshE.svg') no-repeat center;
        }
    }
}
